Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06385 DIP/Input Minor Sometimes Sep 21, 2016, 21:48 Sep 23, 2016, 14:27
Tester StHiryu View Status Public Platform MAMEUI
Assigned To Resolution Invalid report OS Windows Vista/7/8 (64-bit)
Status [?] Closed Driver mitchell.cpp
Version 0.177 Fixed in Version Build 64-bit
Summary 06385: pang: After pausing the game with the 'p' key, the fire buttons (1p button 1 and 2) are disabled
Description although I put pang, it happens with other games like trojan and shinobi, so I think it's a mame itself issue. Randomly, after pause a game, the fire buttons act like they were disabled, but I can shoot with the tab key...The only way to restore those keys is to press Esc and launch the game again.

I've erased the game cfg and nvram files, and this behaviour still exist...As I said, the last two days I could reproduce this behaviour with the pang rom, but you can try with another rom, I think it isn't a pang related problem only...
Steps To Reproduce 1-Launch pang (or another game)
2-Play and press the p key to enter the pause mode
3-Press the p key to return to game and try to fire with p1 button 1
4-If the buttom 1 works, try to continue playing and follow the steps again
Additional Information
Flags
Regression Version
Affected Sets / Systems pang
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
3
User avatar
No.13195
NekoEd
Senior Tester
Sep 21, 2016, 23:36
I hammered the crap out of the pause key in both pang and trojan, and I couldn't reproduce this one. Both P1 buttons continued to operate properly.

Unable to reproduce, SDLMAME64 0.177 on Linux/x64
User avatar
No.13196
B2K24
Moderator
Sep 22, 2016, 04:06
Unable to reproduce here as well using official baseline release build.
User avatar
No.13202
StHiryu
Tester
Sep 23, 2016, 11:56
Well, I've been digging into my problem deeply and I finally found the problem whtch causes this...is silly..

I always play mameui in a windows, so I can pause the game and see a new tab on mi windows, for example to watch a page on my browser. When you hit pause in the emu, the window gets darker and the mouse pounter gets enabled, so you can navigate to other application.

If you come back to the emu by clicking on the tab from the windows bottom tool bar and press p, you can resume the game, but the fire buttons don't work, instead you can fire with the tab key.

The solution is to come back to the emu window and click in with the mouse pointer, so is likely the window get the focus again and all the inputs works properly......it is a weird thing...

So, may the report be closed :)